Bug 1259508 - tar: value 20304237207 out of off_t range 0..8589934591
tar: value 20304237207 out of off_t range 0..8589934591
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tar (Show other bugs)
5.10
All All
medium Severity medium
: rc
: ---
Assigned To: Pavel Raiskup
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 16:12 EDT by Paulo Andrade
Modified: 2015-11-20 11:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 11:31:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar-1.15.1-pax-big-sparse-files.patch (1.09 KB, patch)
2015-09-02 16:12 EDT, Paulo Andrade
no flags Details | Diff

  None (edit)
Description Paulo Andrade 2015-09-02 16:12:31 EDT
Created attachment 1069584 [details]
tar-1.15.1-pax-big-sparse-files.patch

$ tar --version
tar (GNU tar) 1.15.1

$ yum info tar
Name       : tar
Arch       : x86_64
Epoch      : 2
Version    : 1.15.1
Release    : 32.el5_8
Size       : 1.6 M

I made a test package for the user, based on
https://bugzilla.redhat.com/show_bug.cgi?id=516309
and backported patch
http://pkgs.fedoraproject.org/cgit/tar.git/tree/tar-1.26-pax-big-sparse-files.patch?h=f19

User confirms the patched package corrects the
problem.
Comment 1 Pavel Raiskup 2015-11-20 11:31:32 EST
RHEL5 is in product phase when we can't expect any future updates other than
really important security fixes.  I would suggest our customers to move
to RHEL7 or at least RHEL6.

Note You need to log in before you can comment on or make changes to this bug.